About iMochaHelpBook a demo
About iMochaHelpBook a demo
  1. Employee
  • Introduction
  • Skills Assessment API
    • API Reference
      • Getting started
      • API Environment
      • Authentication Mechanism
      • Error Code
      • List timezones
    • Test
      • List all tests
      • Retrieve a test
      • Retrieve test settings
      • Update Test Settings
    • Test Invitations
      • Callback notification
      • Invite candidate
      • Invite candidate by test link
      • Bulk Invite
      • Reattempt Test
      • Cancel Invitation
    • Test Link
      • List all test links
      • Create Test Link
      • Update Test Link
    • Report
      • Retrieve candidate test report
      • Retrieve candidate test report in PDF
      • Get Reports By TestId
      • Get All Reports
    • Callback API
      • Process Callbacks
      • Retrieve Invites
    • GDPR
      • GDPR Data Masking Service
    • Users
      • Get all business units
      • Create New User
      • Update User
      • Active/ Inactive User
    • Tara Interview API
      • Introduction
      • Get All Interviews
      • Schedule Interview
      • Get Detailed Report
      • Get All Reports
  • Skills Intelligence API
    • Introduction
    • Authentication
    • Employee
      • List employees
        GET
      • Get Employee Skills by employeeId
        GET
      • Employee Enrollment
        POST
      • Get Employee Certificates
        GET
      • Update Employee Status
        PATCH
      • Get Employee Assessment Report
        GET
      • Upload Certificate for Employee
        POST
      • Upload Resume for Employee
        POST
      • List Employees with Skills Profile
        GET
      • Assign Learning to Employee
        POST
      • Get Employee Skill Gap
        GET
    • JobProfiles
      • Get All JobProfiles
      • Get JobProfile with Skills By JobProfileId
      • Create JobCode
    • Taxonomy
      • Get all Taxonomy Skills
    • CareerPath
      • Get Employee Career Path by employeeId
    • Account
      • Get Rubric Levels
      • Get Multichannel Validation Weightages
    • Learning
      • Create Learning Resources
      • Get all Learning Resources
    • Certificates
      • Create certificate with skills
      • Get all Certificates
  1. Employee

Upload Certificate for Employee

POST
/employees/{employeeId}/certificates
This endpoint stores a certificate for a given employee. Once saved, the system analyzes the certificate metadata (such as title and issuer) to infer and associate relevant skills with the employee profile.

Request

Path Params

Header Params

Body Params application/json

Examples

Responses

🟢201Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.skillsintelligence.imocha.io/employees//certificates' \
--header 'x-api-key;' \
--header 'Content-Type: application/json' \
--data '[
  {
    "title": "string",
    "issuer": "string",
    "validTill": "2026-02-24T09:06:45.420Z",
    "licenseNumber": "string",
    "isStandardCertificate": true
  },
  {
    "title": "string",
    "issuer": "string",
    "validTill": "2026-02-24T09:06:45.420Z",
    "licenseNumber": "string",
    "isStandardCertificate": true
  },
  {
    "title": "string",
    "issuer": "string",
    "validTill": "2026-02-24T09:06:45.420Z",
    "licenseNumber": "string",
    "isStandardCertificate": true
  },
  {
    "title": "string",
    "issuer": "string",
    "validTill": "2026-02-24T09:06:45.420Z",
    "licenseNumber": "string",
    "isStandardCertificate": true
  },
  {
    "title": "string",
    "issuer": "string",
    "validTill": "2026-02-24T09:06:45.420Z",
    "licenseNumber": "string",
    "isStandardCertificate": true
  },
  {
    "title": "string",
    "issuer": "string",
    "validTill": "2026-02-24T09:06:45.420Z",
    "licenseNumber": "string",
    "isStandardCertificate": true
  },
  {
    "title": "string",
    "issuer": "string",
    "validTill": "2026-02-24T09:06:45.420Z",
    "licenseNumber": "string",
    "isStandardCertificate": true
  }
]'
Response Response Example
{}
Modified at 2026-02-26 09:14:22
Previous
Get Employee Assessment Report
Next
Upload Resume for Employee
Built with